<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_dd5857c83f2dcebc905139" . "788c8b254c" => base64_decode("Zm9ydW0ub2JqZWN0cy5jYW50X2xvYW" . "RfcGVybXM="), "_e485acd266ea901de0918" . "8106bb87695" => base64_decode("Q2FuJ3QgY2hlY2sgcGVybWlzc2lvbnMgaW" . "4gUHVibGlzaE9iamVjdDo6VXNlckhhc1Bl" . "cm1pc3Npb24oKTo="), "_0c5123aa744f69bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1zZ" . "w=="));
class ForumObject extends ErrorHandler
{
    var $id = 0;
    var $perm_id;
    
    
    
    
    
    
    var $perms;
    
    
    
    
    var $save_perms, $perms_loaded;
    
    
    
    
    function __construct()
    {
        $this->perms = new UnifiedPermissions();
        $this->save_perms = false;
        $this->perm_id = 0;
        $this->pub_location = null;
    }
    
    
    
    
    
    
    
    function LoadPerms()
    {
        if ($this->perms->Load($this->perm_id)) {
            $this->perms_loaded = true;
            return true;
        } else {
            $this->perms_loaded = false;
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_dd5857c83f2dcebc9051" . "39788c8b254c"]));
        }
    }
    
    
    
    
    
    
    
    
    
    function SetPerms($_5f53bb9a0317b2cff1248a5d6f951ce0, $_d518e3269f1db8e80d2ccd12b33ff3d0 = false)
    {
        $this->perms = $_5f53bb9a0317b2cff1248a5d6f951ce0;
        $this->perm_id = $_5f53bb9a0317b2cff1248a5d6f951ce0->id;
        $this->save_perms = $_d518e3269f1db8e80d2ccd12b33ff3d0;
        return true;
    }
    
    
    
    
    
    
    
    function UserHasPermission($perms)
    {
        if (!$this->perms_loaded) {
            $this->LoadPerms();
        }
        $_1f24efd4735b7a11b391147435e7d35d = $this->perms->UserHasPermission($perms);
        if ($this->perms->IsError()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e485acd266ea901de0" . "9188106bb87695"] . $this->perms->GetErrMsg());
        }
        return $_1f24efd4735b7a11b391147435e7d35d;
    }
    
    
    
    
    
    function GetModeratorsIDs()
    {
        $this->LoadPerms();
        return $this->perms->GetIndividualsList(PERM_EDIT_MODERATE);
    }
    
    
    
    
    
    
    
    function GetId()
    {
        return $this->id;
    }
    function GetPermId()
    {
        return $this->perm_id;
    }
}